angular.module('goldcar').controller('CondicionesUsoCtrl', function ($log, $scope, $ionicPopup, JsonService, $ionicLoading) {

    $scope.getCondicionesUso = function () {

        $ionicLoading.show();

        $scope.condiciones_uso = [];

        JsonService.getContentData('goldcarapp-condiciones').then(function (result) {

            $scope.condiciones_uso.texto = result.content.text;
            $scope.condiciones_uso.titulo = (result.content.title).toUpperCase();
            $ionicLoading.hide();
        }, function (error) {

            $log.debug("Error de conexión getCondicionesUso: ", error);
            $ionicLoading.hide();
            $ionicPopup.alert({title: $filter("translate")($rootScope.translations.general.error), template: $filter("translate")($rootScope.translations.alertas.error_conexion)});
        })
    }

});