angular.module('goldcar').controller('FaqsCtrl', function($log, $filter, $scope, $ionicModal, JsonService, $rootScope, $ionicScrollDelegate, $timeout, $location, $anchorScroll, $ionicLoading, $state) {

    $rootScope.verTodasFaqs = function () {

        $rootScope.modalFAQS.hide();
        $rootScope.resetFAQS();
        $rootScope.getCategoriasFaq();
        $rootScope.modalAllFaqs.show();
        $ionicLoading.hide();
    };

    //----------------------------------
    // ABRIR SECCION DESEADA
    //----------------------------------

    $rootScope.abrirSeccion = function(seccion) {

        var j = 0;
        $rootScope.contenidoSeccion = [];

        while (seccion != $rootScope.categorias[j].id_faqsection) {

            j++;
        }

        $rootScope.contenidoSeccion = $rootScope.categorias[j];

        $ionicModal.fromTemplateUrl('templates/faqs/faq.html', {

            vista: "/" + $rootScope.language + "/faqs/" + $rootScope.contenidoSeccion.id_faqsection + "-" + ($rootScope.contenidoSeccion.description).replace(/\s/g,'_'),
            scope: $rootScope,
            animation: 'slide-in-right'
        }).then(function(modalFaq) {

            $rootScope.modalFaq = modalFaq;
            modalFaq.show().then(function(){
                $ionicLoading.hide();
            });
        });
    };

    // Mostrar / ocultar acordeon
    $rootScope.toggleGroup = function (group) {
        if ($scope.isGroupShown(group)) {

            $scope.shownGroup = null;
        } else {

            $scope.shownGroup = group;

            // Anclar vista a la sección seleccionada
            setTimeout(function () {

                $location.hash(group.id_faq);
                $ionicScrollDelegate.$getByHandle('mainScroll').anchorScroll(true);
            }, 500);

        }
    };

    $rootScope.isGroupShown = function (group) {

        return $scope.shownGroup === group;
    };

});