angular.module('goldcar').controller('LoginCtrl', function ($scope, OAUTHService, Session, $state, $ionicModal, $ionicLoading, JsonService, $ionicScrollDelegate) {

    $scope.FBLogin = function() {
        Session.set({"referer": "app"}).then(function() {
            OAUTHService.FBSilentLogin().then(function() {
            });
        });
    };

    $scope.GPlusLogin = function() {
        Session.set({"referer": "app"}).then(function() {
            console.log("Session set");
            OAUTHService.GPlusSilentLogin().then(function(res) {
                console.log("SilentLogin");
                console.log(res);
            })
            .catch(function(err){
                console.log("Error Silent");
                console.log(err);
            });
        });
    };

    // $scope.TwitterLogin = function() {
    //     Session.set({"referer": "app"}).then(function() {
    //         OAUTHService.TwitterLogin().then(function(res) {
    //             console.log(res);
    //         })
    //         .catch(function(err){
    //             console.log(err);
    //         });
    //     });
    // };

    // MODIFICACIONES GDPR //
    var modalGdpr;

    $scope.verInfoGdpr = function(){
        $ionicModal.fromTemplateUrl('templates/reservar/modal-info-gdpr.html', {
            scope: $scope,
            animation: 'slide-in-up'
        }).then(function(modal) {
            modalGdpr = modal;
            modalGdpr.show();
        });
    }

    $scope.cerrarInfoGdpr = function(){
        modalGdpr.remove();
        modalGdpr = undefined;
    }

    $scope.focusInput = function(input){
        if(typeof input !== 'undefined' && input !== ''){
            $('#' + input).removeClass('ok-input');
            $('#' + input).removeClass('error-input');
            $('#' + input).addClass('focus-input');
        }
    }

    $scope.checkInput = function(input, data){
        $('#' + input).removeClass('ok-input');
        $('#' + input).removeClass('error-input');
        $('#' + input).removeClass('focus-input');
        if(typeof input !== 'undefined' && typeof data !== 'undefined'){
            if((input == 'passwd' && data == '') || (input == 'email' && data == '')){
                $('#' + input).addClass('error-input');
            }
            else if(input == 'passwd' && data != ''){
                $('#' + input).addClass('ok-input');
            }
            else if(input == 'email' && data != ''){
                var validEmail = validateEmail(data);

                if(validEmail) $('#' + input).addClass('ok-input');
                else $('#' + input).addClass('error-input');
            }
        }
        else{
            $('#' + input).addClass('error-input');
        }
    }

    function validateEmail(email) {
        var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return re.test(String(email).toLowerCase());
    }

    // LOGIN CLUB GOLDCAR //
    $scope.marcasVentajas = [];
    $ionicLoading.show();
    JsonService.getBanners('logo-club-goldcar').then(function(result)
    {
        $scope.marcasVentajas = result;
        // console.log($scope.marcasVentajas);
        $ionicLoading.hide();
    });

    $scope.irClubGoldcar = function()
    {
        $state.go('menu.goldcarClub').then(function(){
            $ionicScrollDelegate.$getByHandle('goldcar-club-content').resize();
        });
    }
});