angular.module('goldcar').controller('OtrosTelefonosCtrl', function($scope, $ionicPopup, $ionicLoading, JsonService, $log) {

    $scope.cargarTelefonos = function(){

        $ionicLoading.show();

        JsonService.getContentJSON('goldcarapp-asistencia').then(function (data){

            console.log(data);

                for ( var i = 0; i < data.oficinas.length; i++ ) {

                    if ( typeof data.oficinas[i].phone === 'object' ) {

                        data.oficinas[i].variosTelefonos = true;
                    } else {

                        data.oficinas[i].variosTelefonos = false;
                    }
                }
                $scope.telefonos = data.oficinas;
                $ionicLoading.hide();
            },
            function(error){
                $log.debug("Error: " + error);
                $ionicLoading.hide();
                $ionicPopup.alert({
                    title: $filter("translate")($rootScope.translations.general.error),
                    template: $filter("translate")($rootScope.translations.alertas.error_conexion)
                });
            }
        );
    };

});