angular.module('goldcar').controller('PagoCtrl', function ($state, $ionicPopup, $stateParams, $scope, $ionicModal, $ionicLoading, $rootScope, $log, Session, GoldcarService) {

    $scope.calculado = false;
    $scope.spinnerShow = true;

  //EXTRAS

    if ( typeof $rootScope.listOfExtras !== 'undefined' && $rootScope.listOfExtras.length > 0 ) {

      console.log($rootScope.listOfExtras);

      $scope.itemsExtras = $rootScope.listOfExtras.pop();

      console.log($scope.itemsExtras);

      $scope.itemsOfExtras = [{
        "AdditionalDriver": $scope.itemsExtras.AdditionalDriver,
        "GPS"             : $scope.itemsExtras.GPS,
        "MaxiCosi"        : $scope.itemsExtras.MaxiCosi,
        "MiFi"            : $scope.itemsExtras.MiFi,
        "YoungDriver"     : $scope.itemsExtras.YoungDriver,
        "BabySeat"        : $scope.itemsExtras.BabySeat,
        "BoosterSeat"     : $scope.itemsExtras.BoosterSeat
      }];
    } else {

      $scope.itemsExtras = [];
    }
    //console.log( $scope.itemsExtras );


    //TARIFF

    $scope.radioTariffSelected = $rootScope.radioTrue;
    $scope.totalTariffPay = $rootScope.totalTariff.toString();
    console.log($rootScope.arrayExtras);





//Cuando el usuario termina de pagar. LLamar goDatos()    datos.html

  $scope.getSum = function (total, num) {
    console.log($scope.totalTariffPay);
      return total + num;

  }


    $scope.goBack = function () {

        $ionicLoading.show();

        $scope.calculado = false;
        $rootScope.aplicadoCodigoPromo = null;
        $rootScope.aplicadoPremio = null;
        $rootScope.aplicadoPremioFinal = undefined;
        $rootScope.aplicadosExtras = null;
        $scope.codigosSeleccionados = null;
        $scope.premiosSeleccionados = null;
        $scope.extrasSeleccionados = null;
                    //menu.reservarExtras
        $state.go('menu.reservarDisponibilidad');
    };

    $rootScope.goDatos = function (pago) {

        $ionicLoading.show({
            templateUrl: 'templates/loading.html'
        });

        $log.debug("Session.set de goDatos con angular.merge -> pago.js");
        Session.set(angular.merge({}, $scope.session, {

            "Tipopago": pago,
            "referer": "app"
        })).then(function () {

            $rootScope.tipoPago = pago;

            $state.go('menu.reservarDatos');
        }, function (error) {
            $log.debug("Error en set Session goDatos: ", error);
        })
    };

    $scope.eliminarPromoSession = function () {

        $log.debug("Session.set de eliminarPromoSession con angular.merge -> extras.js");
        Session.set(angular.merge({}, $scope.session, {

            "promo_code_total": false,
            "promo_code": false
        })).then(function () {

            $rootScope.promo_code = false;
            $scope.realizarSuma();
        });
    };

    $scope.eliminarPremioSession = function () {

        $log.debug("Session.set de eliminarPremiosSession con angular.merge -> extras.js");
        Session.set(angular.merge({}, $scope.session, {

            "extras": $rootScope.aplicadosExtras,
            "premios": [],
            "paquetes": []
        })).then(function () {

            $scope.realizarSuma();
        });
    };

    $scope.eliminarExtraSession = function (index) {

        $rootScope.aplicadosExtras.splice(index, 1);

        $log.debug("Session.set de eliminarExtraSession con angular.merge -> extras.js");
        Session.set(angular.merge({}, $scope.session, {

            "extras": $rootScope.aplicadosExtras
        })).then(function () {

            $scope.realizarSuma();
        });
    };

    // AL INICIAR PAGO
    $scope.showPostpago = false;
    $scope.totalPayment = [];

    $log.debug("Session.get cada vez que entramos -> pago.js");
    Session.get().then(function (result) {

        $scope.session = result;
        console.log($scope.session);

        for ( var i = 0; i < $rootScope.disponibilidad.length; i++ ) {

            if ( $rootScope.disponibilidad[i].grupo == $scope.session.group ) {

                $scope.grupo = $rootScope.disponibilidad[i];
                if ( $rootScope.aplicadoCodigoPromo ) {
                    if ( $rootScope.aplicadoCodigoPromo == "" || $rootScope.aplicadoCodigoPromo.Error ) {

                        $scope.codigosSeleccionados = 0;
                    } else {

                        $scope.codigosSeleccionados = [];
                        $scope.codigosSeleccionados.push($rootScope.aplicadoCodigoPromo);
                    }
                    $log.debug("$scope.codigosSeleccionados", $scope.codigosSeleccionados);
                }

                else {

                    $scope.codigosSeleccionados = [];
                    $scope.codigosSeleccionados.push($rootScope.aplicadoCodigoPromo);
                }

                $scope.premiosSeleccionados = [];
                $scope.premiosSeleccionados.push($rootScope.aplicadoPremio);

                for ( var j = 0; j < $rootScope.aplicadosExtras.length; j++ ) {

                    if ( $rootScope.aplicadosExtras[j].alias === 'MaxiCosi' || $rootScope.aplicadosExtras[j].alias === 'BoosterSeat' || $rootScope.aplicadosExtras[j].alias === 'BabySeat' ) {

                        $rootScope.aplicadosExtras[j].precio_total = $rootScope.aplicadosExtras[j].precio_total * $rootScope.aplicadosExtras[j].cantidad;
                    }
                }

                $scope.extrasSeleccionados = $rootScope.aplicadosExtras;
                $log.debug("$scope.extrasSeleccionados", $scope.extrasSeleccionados);
                if ( $rootScope.disponibilidad[i].iva ) {

                    $rootScope.IVA = $rootScope.disponibilidad[i].iva[0];

                }
            }
        }

        GoldcarService.getDisponibilidadGrupo($scope.session.group).then(function (result) {
          //$scope.extras = $stateParams;

          //console.log($stateParams);
          //console.log($scope.extras.data);
          //console.log($scope.extras.data[0]);
          console.log("setTariff");
          console.log($rootScope.setTariff);
          console.log("result");
          console.log(result);
          $scope.tariffSelected = result.tarifa_disponible;
          $scope.totalPrice     = result.total_reservaf;


            $scope.disponibilidadGrupo = result;
            $log.debug("$scope.disponibilidadGrupo", $scope.disponibilidadGrupo);
            $rootScope.tipoPago = [];



            for ( var i = 0; i < result.formas_pago.length; i++ ) {

                $rootScope.tipoPago.push(result.formas_pago[i]);

            }


            angular.forEach( $scope.itemsExtras, function( value, key ){
              if ( typeof value != "undefined" ){
                console.log(key+ "- "+ value);
                  $scope.totalPayment.push( value );

                }

            });

            $scope.spinnerShow = false;

            //IF USER PAYS THE CAR WHEN HE'LL PICK IT UP
            //IF KIND OF POSTPAGO TYPE EXITS
            if ( $rootScope.tipoPago[1] === "postpago" ){

              if ( $scope.disponibilidadGrupo.precio_inicial == $scope.disponibilidadGrupo.precio_postpago ){
                console.log("if");
                  //var precio_inicial = parseFloat( $scope.disponibilidadGrupo.precio_inicial );
                  $scope.totalPayment.push( $rootScope.totalTariff );
                  $scope.showPostpago = false;
              }else{
                console.log("primer else");
                  var precio_postpago = parseFloat( $scope.disponibilidadGrupo.precio_postpago );
                  $scope.totalPayment.push( precio_postpago );
                  //$scope.itemsExtras.reduce($scope.getSum)
                  $scope.showPostpago = true;
              }

            }else{
                console.log("else")
                  $scope.totalPayment.push( $rootScope.totalTariff );
                  $scope.showPostpago = false;
            }


            $scope.priceToPay = $scope.totalPayment.reduce($scope.getSum);
            $scope.priceToPay = $scope.priceToPay.toFixed(2);
            console.log($scope.priceToPay);

            $rootScope.sumaTotal = $scope.priceToPay;
            $rootScope.sumaTotalPostpago = $scope.priceToPay;
            $rootScope.sumaTotalParcial = $scope.priceToPay;

            var extras_obligatorios = $scope.disponibilidadGrupo.extras_obligatorios;
            $log.debug("extras_obligatorios", extras_obligatorios);

            if ( typeof extras_obligatorios[0] !== 'undefined' ) {

                for ( var l = 0; l < extras_obligatorios.length; l++ ) {

                    $scope.extrasSeleccionados.push({ alias: extras_obligatorios[l].alias, cantidad: extras_obligatorios[l].cantidad, descripcion: extras_obligatorios[l].descripcion, precio_total: extras_obligatorios[l].precio_total, obligatorio: true, divisa: $rootScope.divisa });
                }
            } else {

                $log.debug("NO ENTRO");
            }

            $log.debug("$scope.extrasSeleccionados", $scope.extrasSeleccionados);

            setTimeout(function () {

              //  $scope.realizarSuma();
                $ionicLoading.hide();
            }, 500);
        });
    });

    $scope.eliminarSeleccionados = function (index, tipo) {

        if ( tipo === 'codigo' ) {

            $scope.codigosSeleccionados.splice(index, 1);
            $scope.eliminarPromoSession();

        } else if ( tipo === 'premio' ) {

            $scope.premiosSeleccionados.splice(index, 1);
            $scope.eliminarPremioSession();

        } else if ( tipo === 'extra') {

            $scope.extrasSeleccionados.splice(index, 1);
            $scope.eliminarExtraSession(index);
        }
    };

    $scope.realizarSuma = function () {

        var tarifaSelec = {};

        for ( tarifa in $rootScope.disponibilidad ) {


            if ( $rootScope.disponibilidad[tarifa].grupo === $scope.session.group ) {

                tarifaSelec = $rootScope.disponibilidad[tarifa];
            }
        }
        console.log(tarifaSelec);
        $log.debug("tarifaSelec", tarifaSelec);

        $scope.generarPopup = function () {

            var cierrePopup = $ionicPopup.show({

                templateUrl: 'templates/cierre.html',
                cssClass: 'cierrePopup'
            });

            cierrePopup;

            $rootScope.cerrarCierre = function () {

                cierrePopup.close();
            };
        };

        if ( $rootScope.tarifaSeleccionada === 'FlexFuelSDR' ) {

            if ( tarifaSelec.cancelable ) {

                $scope.generarPopup();
            }
        }

        else if ( tarifaSelec.tarifas[$rootScope.tarifaSeleccionada].cancelable ) {

            $scope.generarPopup();
        }

        var sumaCodigos = 0;
        var sumaExtras = 0;
        var totalSumas = 0;
        var totalSumasPostpago = 0;
        var totalSumasParcial = 0;

        if ( $rootScope.tarifaSeleccionada === 'FlexFuelSDR' ) {

          /*  if ( typeof $scope.codigosSeleccionados[0] !== 'undefined' && $scope.codigosSeleccionados[0] !== null) {

                sumaCodigos = sumaCodigos + parseFloat($scope.codigosSeleccionados[0].Precio);
            }

            if ( $scope.extrasSeleccionados ) {

                for ( var i = 0; i < $scope.extrasSeleccionados.length; i++ ) {

                    sumaExtras = sumaExtras + parseFloat($scope.extrasSeleccionados[i].precio_total);
                }

                $log.debug("disponibilidadGrupo", $scope.disponibilidadGrupo);

                totalSumas = (sumaExtras + $scope.grupo.precio_totalf) - sumaCodigos;
                totalSumasPostpago = (sumaExtras + $scope.disponibilidadGrupo.total_reserva_postpagof) - sumaCodigos;
                totalSumasParcial = (sumaExtras + $scope.disponibilidadGrupo.total_reserva_pagoparcialf) - sumaCodigos;

                $rootScope.sumaTotal = totalSumas;
                $rootScope.sumaTotalPostpago = totalSumasPostpago;
                $rootScope.sumaTotalParcial = totalSumasParcial;

                $scope.calculado = true;

                if ( $scope.sumaTotal < 0 ) {

                    $scope.eliminarSeleccionados(0, 'codigo');
                    $scope.realizarSuma();
                    $ionicPopup.alert({ title: $filter("translate")($rootScope.translations.extras.codigo_promo_titulo), template: $filter("translate")($rootScope.translations.extras.codigo_promo_precio) });
                }

            }
            */

        }

        else if ( $rootScope.tarifaSeleccionada === 'FullFuelSDC' ) {

            $log.debug("$scope.disponibilidadGrupo", $scope.disponibilidadGrupo);

            if ( typeof $scope.codigosSeleccionados[0] !== 'undefined' && $scope.codigosSeleccionados[0] !== null) {

                sumaCodigos = sumaCodigos + parseFloat($scope.codigosSeleccionados[0].Precio);
            }

            if ( $scope.extrasSeleccionados ) {

                for ( var i = 0; i < $scope.extrasSeleccionados.length; i++ ) {

                    sumaExtras = sumaExtras + parseFloat($scope.extrasSeleccionados[i].precio_total);
                }

                totalSumas = (sumaExtras + $scope.grupo.tarifas['FullFuelSDC'].precio_totalf) - sumaCodigos;

                if ( $scope.disponibilidadGrupo.total_reserva_postpagof ) {

                    $log.debug("sumaExtras", sumaExtras);
                    $log.debug("sumaCodigos", sumaCodigos);
                    $log.debug("$scope.disponibilidadGrupo.total_reserva_postpagof", $scope.disponibilidadGrupo.total_reserva_postpagof);
                    $log.debug("$scope.disponibilidadGrupo.diferencia_fullfull", $scope.disponibilidadGrupo.diferencia_fullfull);


                    // DETECTA SI ES STRING Y LO CONVIERTE A FLOAT PARA HACER LOS CALCULOS

                    if ( typeof $scope.disponibilidadGrupo.diferencia_fullfull == 'string' ) {

                        $scope.disponibilidadGrupo.diferencia_fullfull = parseFloat($scope.disponibilidadGrupo.diferencia_fullfull);
                    }

                    if ( typeof $scope.disponibilidadGrupo.dif_post_FullFuel == 'string' ) {

                        $scope.disponibilidadGrupo.dif_post_FullFuel = parseFloat($scope.disponibilidadGrupo.dif_post_FullFuel);
                    }


                    // CALCULO POSTPAGO
                    totalSumasPostpago = (sumaExtras + $scope.disponibilidadGrupo.tarifas['FullFuelSDC'].precio_totalf + $scope.disponibilidadGrupo.dif_post_FullFuel) - sumaCodigos;
                    $rootScope.sumaTotalPostpago = totalSumasPostpago;
                }

                $log.debug("$rootScope.tarifaSeleccionada", $rootScope.tarifaSeleccionada);
                $log.debug("$rootScope.sumaTotalPostpago", $rootScope.sumaTotalPostpago);
                $log.debug("totalSumasPostpago", totalSumasPostpago);

                if ( $scope.disponibilidadGrupo.total_reserva_pagoparcialf ) {

                    totalSumasParcial = (sumaExtras + $scope.grupo.tarifas['FullFuelSDC'].total_reserva_pagoparcialf) - sumaCodigos;
                    $rootScope.sumaTotalParcial = totalSumasParcial;
                }

                $scope.precioTarifaFull  = $scope.grupo.tarifas['FullFuelSDC'].precio_totalf;

                $rootScope.sumaTotal = totalSumas;

                $scope.calculado = true;

                if ( $scope.sumaTotal < 0 ) {

                    $scope.eliminarSeleccionados(0, 'codigo');
                    $scope.realizarSuma();
                    $ionicPopup.alert({ title: $filter("translate")($rootScope.translations.extras.codigo_promo_titulo), template: $filter("translate")($rootScope.translations.extras.codigo_promo_precio) });
                }
            }

        }

        else if ( $rootScope.tarifaSeleccionada === 'TNRFlexFuelSDR' ) {

            if ( typeof $scope.codigosSeleccionados[0] !== 'undefined' && $scope.codigosSeleccionados[0] !== null) {

                sumaCodigos = sumaCodigos + parseFloat($scope.codigosSeleccionados[0].Precio);
            }

            if ( $scope.extrasSeleccionados ) {

                for ( var i = 0; i < $scope.extrasSeleccionados.length; i++ ) {

                    sumaExtras = sumaExtras + parseFloat($scope.extrasSeleccionados[i].precio_total);
                }

                totalSumas = (sumaExtras + tarifaSelec.tarifas['TNRFlexFuelSDR'].precio_totalf) - sumaCodigos;

                $scope.precioTarifaFlex  = tarifaSelec.tarifas['TNRFlexFuelSDR'].precio_totalf;

                if ( $scope.disponibilidadGrupo.total_reserva_postpagof ) {

                    totalSumasPostpago = (sumaExtras + $scope.grupo.tarifas['TNRFlexFuelSDR'].total_reserva_postpagof) - sumaCodigos;
                    $rootScope.sumaTotalPostpago = totalSumasPostpago;
                }

                if ( $scope.disponibilidadGrupo.total_reserva_pagoparcialf ) {

                    totalSumasParcial = (sumaExtras + $scope.grupo.tarifas['TNRFlexFuelSDR'].total_reserva_pagoparcialf) - sumaCodigos;
                    $rootScope.sumaTotalParcial = totalSumasParcial;
                }

                $rootScope.sumaTotal = totalSumas;

                $scope.calculado = true;

                if ( $scope.sumaTotal < 0 ) {

                    $scope.eliminarSeleccionados(0, 'codigo');
                    $scope.realizarSuma();
                    $ionicPopup.alert({ title: $filter("translate")($rootScope.translations.extras.codigo_promo_titulo), template: $filter("translate")($rootScope.translations.extras.codigo_promo_precio) });
                }
            }

        }

        else if ( $rootScope.tarifaSeleccionada === 'PackUnique' ) {

            $scope.extrasIncluidos = {};
            $scope.extrasTop = [];

            $scope.extrasIncluidos = {"alias": $rootScope.paquetes_dispon[0].extras.split(",")};

            for ( var j = 0; j < $scope.grupo.extras.length; j++ ) {

                for ( var g = 0; g < $scope.extrasIncluidos.alias.length; g++ ) {

                    if ( $scope.grupo.extras[j].alias == $scope.extrasIncluidos.alias[g] ) {

                        $scope.extrasTop.push({ "Texto": $scope.grupo.extras[j].descripcion });
                    }
                }
            }
//            $log.debug("TOP", $scope.extrasTop);
//
//            $log.debug("$scope.codigosSeleccionados", $scope.codigosSeleccionados);
//            $log.debug("$scope.extrasSeleccionados", $scope.extrasSeleccionados);
//            $log.debug("$rootScope.paquetes_dispon", $rootScope.paquetes_dispon);
//            $log.debug("EXTRAS INCLUIDOS", $scope.extrasIncluidos);

            if ( typeof $scope.codigosSeleccionados[0] !== 'undefined' && $scope.codigosSeleccionados[0] !== null) {

                sumaCodigos = sumaCodigos + parseFloat($scope.codigosSeleccionados[0].Precio);
            }

            if ( $scope.extrasSeleccionados ) {

                for ( var i = 0; i < $scope.extrasSeleccionados.length; i++ ) {

                    console.log("sumaExtras", typeof sumaExtras);
                    sumaExtras = sumaExtras + parseFloat($scope.extrasSeleccionados[i].precio_total);
                    console.log("sumaExtras1", typeof sumaExtras);
                }

                totalSumas = (sumaExtras + parseFloat($rootScope.paquetes_dispon[0].preciof)) - sumaCodigos;

                $scope.precioTarifaUnique  = $rootScope.paquetes_dispon[0].preciof;

                // if ( $scope.disponibilidadGrupo.total_reserva_postpagof ) {
                //
                //     totalSumasPostpago = (sumaExtras + .total_reserva_postpagof) - sumaCodigos;
                //     $rootScope.sumaTotalPostpago = totalSumasPostpago;
                // }
                //
                // if ( $scope.disponibilidadGrupo.total_reserva_pagoparcialf ) {
                //
                //     totalSumasParcial = (sumaExtras + $scope.grupo.tarifas['TNRFlexFuelSDR'].total_reserva_pagoparcialf) - sumaCodigos;
                //     $rootScope.sumaTotalParcial = totalSumasParcial;
                // }

                $rootScope.sumaTotal = totalSumas;
                console.log("sumaTotal", $rootScope.sumaTotal);

                $scope.calculado = true;

                if ( $scope.sumaTotal < 0 ) {

                    $scope.eliminarSeleccionados(0, 'codigo');
                    $scope.realizarSuma();
                    $ionicPopup.alert({ title: $filter("translate")($rootScope.translations.extras.codigo_promo_titulo), template: $filter("translate")($rootScope.translations.extras.codigo_promo_precio) });
                }
            }
        }

        else if ( $rootScope.tarifaSeleccionada === 'PackKeyngo') {

            $scope.extrasIncluidos = {};
            $scope.extrasTop = [];

            $scope.extrasIncluidos = {"alias": $rootScope.paquetes_dispon[0].extras.split(",")};

            for ( var j = 0; j < $scope.grupo.extras.length; j++ ) {

                for ( var g = 0; g < $scope.extrasIncluidos.alias.length; g++ ) {

                    if ( $scope.grupo.extras[j].alias == $scope.extrasIncluidos.alias[g] ) {

                        $scope.extrasTop.push({ "Texto": $scope.grupo.extras[j].descripcion });
                    }
                }
            }

            $log.debug("TOP", $scope.extrasTop);

            $log.debug("$scope.codigosSeleccionados", $scope.codigosSeleccionados);
            $log.debug("$scope.extrasSeleccionados", $scope.extrasSeleccionados);
            $log.debug("$rootScope.paquetes_dispon", $rootScope.paquetes_dispon);
            $log.debug("EXTRAS INCLUIDOS", $scope.extrasIncluidos);

            if ( typeof $scope.codigosSeleccionados[0] !== 'undefined' && $scope.codigosSeleccionados[0] !== null) {

                sumaCodigos = sumaCodigos + parseFloat($scope.codigosSeleccionados[0].Precio);
            }

            if ( $scope.extrasSeleccionados ) {

                for ( var i = 0; i < $scope.extrasSeleccionados.length; i++ ) {

                    sumaExtras = sumaExtras + parseFloat($scope.extrasSeleccionados[i].precio_total);
                }

                totalSumas = (sumaExtras + parseFloat($rootScope.paquetes_dispon[0].preciof)) - sumaCodigos;

                $scope.precioTarifaKeyNGo  = $rootScope.paquetes_dispon[0].preciof;

                $rootScope.sumaTotal = totalSumas;

                $scope.calculado = true;

                if ( $scope.sumaTotal < 0 ) {

                    $scope.eliminarSeleccionados(0, 'codigo');
                    $scope.realizarSuma();
                    $ionicPopup.alert({ title: $filter("translate")($rootScope.translations.extras.codigo_promo_titulo), template: $filter("translate")($rootScope.translations.extras.codigo_promo_precio) });
                }
            }
        } else if ( $rootScope.tarifaSeleccionada === 'PackClickngo') {

            $scope.extrasIncluidos = {};
            $scope.extrasTop = [];

            $scope.extrasIncluidos = {"alias": $rootScope.paquetes_dispon[0].extras.split(",")};

            for ( var j = 0; j < $scope.grupo.extras.length; j++ ) {

                for ( var g = 0; g < $scope.extrasIncluidos.alias.length; g++ ) {

                    if ( $scope.grupo.extras[j].alias == $scope.extrasIncluidos.alias[g] ) {

                        $scope.extrasTop.push({ "Texto": $scope.grupo.extras[j].descripcion });
                    }
                }
            }

            $log.debug("TOP", $scope.extrasTop);

            $log.debug("$scope.codigosSeleccionados", $scope.codigosSeleccionados);
            $log.debug("$scope.extrasSeleccionados", $scope.extrasSeleccionados);
            $log.debug("$rootScope.paquetes_dispon", $rootScope.paquetes_dispon);
            $log.debug("EXTRAS INCLUIDOS", $scope.extrasIncluidos);

            if ( typeof $scope.codigosSeleccionados[0] !== 'undefined' && $scope.codigosSeleccionados[0] !== null) {

                sumaCodigos = sumaCodigos + parseFloat($scope.codigosSeleccionados[0].Precio);
            }

            if ( $scope.extrasSeleccionados ) {

                for ( var i = 0; i < $scope.extrasSeleccionados.length; i++ ) {

                    sumaExtras = sumaExtras + parseFloat($scope.extrasSeleccionados[i].precio_total);
                }

                totalSumas = (sumaExtras + parseFloat($rootScope.paquetes_dispon[0].preciof)) - sumaCodigos;

                $scope.precioTarifaKeyNGo  = $rootScope.paquetes_dispon[0].preciof;

                $rootScope.sumaTotal = totalSumas;

                $scope.calculado = true;

                if ( $scope.sumaTotal < 0 ) {

                    $scope.eliminarSeleccionados(0, 'codigo');
                    $scope.realizarSuma();
                    $ionicPopup.alert({ title: $filter("translate")($rootScope.translations.extras.codigo_promo_titulo), template: $filter("translate")($rootScope.translations.extras.codigo_promo_precio) });
                }
            }
        }
    };

});
